Page MenuHomePhabricator

evas: make efl_canvas_group abstract
ClosedPublic

Authored by bu5hm4n on Jan 11 2019, 5:35 AM.

Details

Summary

the efl_canvas_group should be abstract in order to support other
classes which are inheriting from it, which are abstract. This is done
in order to support only abstract parents from abstract classes.

ref T7240

Depends on D7599

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Jan 11 2019, 5:35 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

bu5hm4n requested review of this revision.Jan 11 2019, 5:35 AM
cedric requested changes to this revision.Jan 11 2019, 10:53 AM

Please explain in the commit why there is a need for the new Object you are introduced here and when people should use it instead of the abstract class. Just for documentation purpose.

This revision now requires changes to proceed.Jan 11 2019, 10:53 AM

Yeah, I'd like to know what is going on here. The new Efl.Canvas.Group_Object regular class inherits from Efl.Canvas.Group (which is now abstract), but nobody uses it, except Efl.Ui.Pager that uses it to retrieve... something? Help?

bu5hm4n edited the summary of this revision. (Show Details)Jan 14 2019, 9:46 AM

Yeah, I'd like to know what is going on here. The new Efl.Canvas.Group_Object regular class inherits from Efl.Canvas.Group (which is now abstract), but nobody uses it, except Efl.Ui.Pager that uses it to retrieve... something? Help?

Efl.Ui.Pager uses it and the function evas_object_smart_add. Efl.Canvas.Group has to be abstract in order to support other abstract classes inheriting from it. However, since we have the case that we need it abstract and regular at the same time, I decided to have both, with the solution you see here.

bu5hm4n requested review of this revision.Jan 14 2019, 9:49 AM
segfaultxavi requested changes to this revision.Jan 14 2019, 12:41 PM

Ok, that makes sense, thanks!

However... you added a new class, which needs documenting :)

This revision now requires changes to proceed.Jan 14 2019, 12:41 PM
bu5hm4n updated this revision to Diff 18407.Jan 14 2019, 1:22 PM
bu5hm4n edited the summary of this revision. (Show Details)

we do love comments.

segfaultxavi accepted this revision.Jan 15 2019, 2:02 AM

we do love comments.

YES WE DO! 😁

This revision was not accepted when it landed; it landed in state Needs Review.Jan 15 2019, 8:38 AM
Closed by commit rEFLae65c64b8d52: evas: make efl_canvas_group abstract (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain Why
This revision was automatically updated to reflect the committed changes.